#!/bin/bash
# Script takes runs a simple benchmark 1B times to show perf delta between g++ and clang++
# If you pass in the -flto option, clang++ improves, but not within a factor of 2.
g++ get.cpp benchmark.cpp -O3 -std=c++11 $1
for i in $(echo static_cfg static_cref_cfg); do echo "    g++ O3 $i"; time ./a.out $i 1000000000 whocares 1; done
clang++ get.cpp benchmark.cpp -O3 -std=c++11 $1
for i in $(echo static_cfg static_cref_cfg); do echo "clang++ O3 $i"; time ./a.out $i 1000000000 whocares 1; done
