#ifndef _CONFIG_H_
#define _CONFIG_H_
#include "get.h"
class static_cfg {
	public:
		uint64_t return_num() { static uint64_t val = get(std::string("whocares"), 42); return val; }
};

class static_cref_cfg {
	public:
		const uint64_t& return_num() { static uint64_t val = get(std::string("whocares"), 42); return val; }
};

class static_const_cfg {
	public:
		uint64_t return_num() { static const uint64_t val = get(std::string("whocares"), 42); return val; }
};

class static_const_cref_cfg {
	public:
		const uint64_t &return_num() { static const uint64_t val = get(std::string("whocares"), 42); return val; }
};

class const_mem_cfg {
	public:
		const_mem_cfg() : m_num(get(std::string("whocares"), 42)) {}
		uint64_t return_num() { return m_num; }
	private:
		const uint64_t m_num;
};
class const_mem_cref_cfg {
	public:
		const_mem_cref_cfg() : m_num(get(std::string("whocares"), 42)) {}
		const uint64_t  &return_num() { return m_num; }
	private:
		const uint64_t m_num;
};
#endif
